XtMapWidget(3Xt)

NAME
XtMapWidget, XtSetMappedWhenManaged, XtUnmapWidget - map and unmap widgets

SYNTAX
XtMapWidget(w)
     Widget w;

void XtSetMappedWhenManaged(w, map_when_managed)
      Widget w;
      Boolean map_when_managed;

XtUnmapWidget(w)
     Widget w;

ARGUMENTS

map_when_managed
    Specifies a Boolean value that indicates the new value of the map_when_managed field.

w   Specifies the widget.

DESCRIPTION
If the widget is realized and managed and if the new value of map_when_managed is maps the window. If the widget is realized and managed and if the new value of map_when_managed is it unmaps the window. is a convenience function that is equivalent to (but slightly faster than) calling and setting the new value for the mappedWhenManaged resource. As an alternative to using to control mapping, a client may set mapped_when_managed to and use and explicitly.

SEE ALSO
XtManageChildren(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface